Encoder.Format
Keywords: com.representqueens.spark.Encoder.Format class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.representqueens.spark
Enum Encoder.Format

    java.lang.Object
      java.lang.Enum<Encoder.Format>
          com.representqueens.spark.Encoder.Format

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Encoder.Format>

Enclosing class:
  Encoder

    public static enum Encoder.Format

extends java.lang.Enum<Encoder.Format>

Enum Constant Summary
`DATA`
`JAVASCRIPT`

Method Summary
`static Encoder.Format` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Encoder.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATA

    public static final Encoder.Format DATA

### JAVASCRIPT

    public static final Encoder.Format JAVASCRIPT

Method Detail

### values

    public static final Encoder.Format[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Encoder.Format c : Encoder.Format.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Encoder.Format valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD